Bug 1683413 - edk2: heap buffer overflow in ReadFile in UdfDxe/FileSystemOperations.c
Summary: edk2: heap buffer overflow in ReadFile in UdfDxe/FileSystemOperations.c
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1683415 1683414
Blocks: 1683431
TreeView+ depends on / blocked
 
Reported: 2019-02-26 19:57 UTC by Laura Pardo
Modified: 2019-09-29 15:08 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-22 07:16:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
TianoCore 828 None None None 2019-03-21 18:34:28 UTC

Description Laura Pardo 2019-02-26 19:57:16 UTC
A vulnerability was found in edk2. A heap buffer overflow in ReadFile in UdfDxe/FileSystemOperations.c when the raw data or the Allocation Descriptors' data from a FE/EFE consume data beyond the size of a FE/EFE.


Upstream Bug:
https://bugzilla.tianocore.org/show_bug.cgi?id=828

Upstream Commit:
https://github.com/tianocore/edk2/commit/5c0748f43f4e1cc15fdd0be64a764eacd7df92f6

Comment 1 Laura Pardo 2019-02-26 19:57:41 UTC
Created edk2 tracking bugs for this issue:

Affects: epel-all [bug 1683415]
Affects: fedora-all [bug 1683414]

Comment 3 Riccardo Schirone 2019-03-22 07:16:41 UTC
Closing this in favor of bug 1691640.


Note You need to log in before you can comment on or make changes to this bug.